| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::viz::WText Class Reference
3D Visualizer » Widget

Text and image widgets. More...

`#include <opencv2/viz/widgets.hpp>`

Collaboration diagram for cv::viz::WText:

## Public Member Functions
| WText (const String &text, const Point &pos, int font_size=20, const Color &color=Color::white())
| Constructs a WText.
String | getText () const
| Returns the current text content of the widget.
void | setText (const String &text)
| Sets the text content of the widget.
Public Member Functions inherited from cv::viz::Widget2D
| Widget2D ()
void | setColor (const Color &color)
| Sets the color of the widget.
Public Member Functions inherited from cv::viz::Widget
| Widget ()
| Widget (const Widget &other)
virtual | ~Widget ()
template<typename _W >
_W | cast () const
| Casts a widget to another.
template<>
Widget2D | cast () const
| Utility exports.
template<>
Widget3D | cast () const
template<>
WLine | cast () const
template<>
WPlane | cast () const
template<>
WSphere | cast () const
template<>
WCylinder | cast () const
template<>
WArrow | cast () const
template<>
WCircle | cast () const
template<>
WCone | cast () const
template<>
WCube | cast () const
template<>
WCoordinateSystem | cast () const
template<>
WPolyLine | cast () const
template<>
WGrid | cast () const
template<>
WText3D | cast () const
template<>
WText | cast () const
template<>
WImageOverlay | cast () const
template<>
WImage3D | cast () const
template<>
WCameraPosition | cast () const
template<>
WTrajectory | cast () const
template<>
WTrajectoryFrustums | cast () const
template<>
WTrajectorySpheres | cast () const
template<>
WCloud | cast () const
template<>
WPaintedCloud | cast () const
template<>
WCloudCollection | cast () const
template<>
WCloudNormals | cast () const
template<>
WMesh | cast () const
template<>
WWidgetMerger | cast () const
double | getRenderingProperty (int property) const
| Returns rendering property of the widget.
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget.

## Additional Inherited Members
Static Public Member Functions inherited from cv::viz::Widget
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file.

## Detailed Description

Text and image widgets.

This 2D Widget represents text overlay.

## Constructor & Destructor Documentation

## ◆ WText()

cv::viz::WText::WText | ( | const String & | text,
|  | const Point & | pos,
|  | int | font_size = 20,
|  | const Color & | color = Color::white() )

Constructs a WText.

Parameters

  text | Text content of the widget.
  pos | Position of the text.
  font_size | Font size.
  color | Color of the text.

## Member Function Documentation

## ◆ getText()

String cv::viz::WText::getText | ( |  | ) | const

Returns the current text content of the widget.

## ◆ setText()

void cv::viz::WText::setText | ( | const String & | text | ) |

Sets the text content of the widget.

Parameters

  text | Text content of the widget.

The documentation for this class was generated from the following file:

- opencv2/viz/widgets.hpp